# mastodon-twitter-poster

![Version: 0.2.7](https://img.shields.io/badge/Version-0.2.7-informational?style=flat-square) ![AppVersion: 3e6770](https://img.shields.io/badge/AppVersion-3e6770-informational?style=flat-square)

Mastodon Twitter Crossposter

**Homepage:** <https://github.com/halkeye/mastodon-twitter-poster>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Gavin Mogan | helm@gavinmogan.com |  |

## Source Code

* <https://github.com/halkeye/mastodon-twitter-poster>
* <https://hub.docker.com/r/halkeye/mastodon-twitter-poster>

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| config.admin.fedi.address | string | `nil` | Fediverse account that users can use to reach the admin in case of issues (url) |
| config.admin.fedi.at | string | `nil` | Fediverse account that users can use to reach the admin in case of issues (label) |
| config.admin.twitter | string | `nil` | Twitter account of the admin of this instance, if exists |
| config.alternative_twitter_domain | string | `nil` | instead of @user@twitter.com, the user will be @user@<ALTERNATIVE_TWITTER_DOMAIN> You can use twitter.activitypub.actor (or your own installation of it) to get nice mentions of twitter's people |
| config.announcement_url | string | `nil` | The fediverse account where announcements about this instance of the crossposter can be found |
| config.app_name | string | `"Mastodon Twitter Crossposter"` | The name that's going to be displayed in the page, but also in the bottom of toots as the app name |
| config.database.host | string | `nil` |  |
| config.database.name | string | `"mastodon_twitter_poster_production"` |  |
| config.database.pass | string | `nil` |  |
| config.database.uri | string | `""` |  |
| config.database.user | string | `"mastodon_twitter_poster"` |  |
| config.domain | string | `nil` | The domain where the app can be accessed |
| config.federation_domains.allowed | list | `[]` |  |
| config.federation_domains.blocked | list | `[]` |  |
| config.librato.email | string | `nil` |  |
| config.librato.token | string | `nil` |  |
| config.redis_url | string | `nil` | Redis url in the format of redis://localhost:6379/1 |
| config.repo | string | `nil` | The repo, if it's a fork (optional) |
| config.stats | string | `nil` | The stats page, if exists (ex, https://grafana.example.com) |
| config.statsd.enabled | bool | `false` |  |
| config.statsd.host | string | `"127.0.0.1"` |  |
| config.statsd.port | int | `8125` |  |
| config.twitter.client.id | string | `nil` |  |
| config.twitter.client.secret | string | `nil` |  |
| deploymentAnnotations | object | `{}` |  |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"halkeye/mastodon-twitter-poster"` |  |
| image.tag | string | `"{{ .Chart.AppVersion }}"` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"chart-example.local"` |  |
| ingress.hosts[0].paths | list | `[]` |  |
| ingress.tls | list | `[]` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| probes.liveness.failureThreshold | int | `5` |  |
| probes.liveness.periodSeconds | int | `10` |  |
| probes.readiness.failureThreshold | int | `5` |  |
| probes.readiness.periodSeconds | int | `10` |  |
| probes.startup.failureThreshold | int | `30` |  |
| probes.startup.initialDelaySeconds | int | `5` |  |
| probes.startup.periodSeconds | int | `10` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| service.externalTrafficPolicy | string | `nil` |  |
| service.port | int | `3000` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `nil` |  |
| statsd_exporter.enabled | bool | `false` |  |
| statsd_exporter.image.pullPolicy | string | `"IfNotPresent"` |  |
| statsd_exporter.image.repository | string | `"prom/statsd-exporter"` |  |
| statsd_exporter.image.tag | string | `"v0.20.1"` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
